Subject: CCL:Re: superimposing two moleculesvi mail.obj.1

From: Michel Petitjean <ptitjean~at~itodys.jussieu.fr>
Date: Tue, 24 Jun 2003 10:17:20 +0200 (MEST)

To: chemistry~at~ccl.net
Subject: CCL:Re: superimposing two molecules!!

The algorithm of Kabsch looks for an optimal orthogonal matrix
rather than for a rotation. Thus mirror images are optimally
superposed as if they were identical.
Many solutions of the RMS superposition problem have been published
since 1962 (see references cited in Comput. Chem. 1998,22[6],pp.463-5).

You can download the ARMS and CSR freewares from the following site:
http://petitjeanmichel.free.fr/itoweb.petitjean.freeware.html#ARMS
http://petitjeanmichel.free.fr/itoweb.petitjean.freeware.html#CSR
ARMS and CSR compute the optimal rotation (and translation).
The documentations and references are also available from the site.

ARMS reads data, assuming an implicit pairwise atomic correspondence
(e.g. as it is usually done for protein backbones), then performs
the superposition as in most commercial softwares, then computes
the 3D common motif via the SDM algorithm (but you will not find SDM
in any commercial software, although it is very simple to programme!).

CSR do all what do ARMS, but has an automated pairwise atomic
correspondance detection. Thus it works for any pair of general
molecules, but runs slower than ARMS. Of course, no commercial
software offers presently such kind of fully automated 3D
common motif calculation. CSR is used by the Pasteur Institute
(see their website). 

Michel Petitjean,                     Email: petitjean~at~itodys.jussieu.fr
ITODYS (CNRS, UMR 7086)                      ptitjean~at~ccr.jussieu.fr
1 rue Guy de la Brosse                Phone: +33 (0)1 44 27 48 57
75005 Paris, France.                  FAX  : +33 (0)1 44 27 68 14
http://petitjeanmichel.free.fr/itoweb.petitjean.html

Pradipta Bandyopadhyay <pradipta~at~cgl.ucsf.edu> wrote:
>Hi,
>
> Does anyone have a code (in fortran), which superimposes two molecules?
> I am looking for the implementation of the algorithm mentioned in the W.
>Kabsch paper (Acta. Crys.A 32, 922).
>
>thanks.
>
>     Pradipta